org.apache.el.parser

## Class AstFunction

- java.lang.Object
- - org.apache.el.lang.ELSupport
  - - org.apache.el.parser.SimpleNode
    - - org.apache.el.parser.AstFunction

- All Implemented Interfaces:
    Node

      public final class AstFunction
      extends SimpleNode

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localName`
    `protected String` | `prefix`

    - ### Fields inherited from class org.apache.el.parser.SimpleNode

      `children, id, image, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstFunction(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocalName()`
    `String` | `getOutputName()`
    `String` | `getPrefix()`
    `Class<?>` | `getType(EvaluationContext ctx)`
    `Object` | `getValue(EvaluationContext ctx)`
    `void` | `setLocalName(String localName)`
    `void` | `setPrefix(String prefix)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.el.parser.SimpleNode

      `accept, equals, getImage, getMethodInfo, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString`

    - ### Methods inherited from class org.apache.el.lang.ELSupport

      `coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### localName

          protected String localName

    - #### prefix

          protected String prefix

  - ### Constructor Detail

    - #### AstFunction

          public AstFunction(int id)

  - ### Method Detail

    - #### getLocalName

          public String getLocalName()

    - #### getOutputName

          public String getOutputName()

    - #### getPrefix

          public String getPrefix()

    - #### getType

          public Class<?> getType(EvaluationContext ctx)
                           throws ELException

      Specified by:
        `getType` in interface `Node`
      Overrides:
        `getType` in class `SimpleNode`
      Throws:
        `ELException`

    - #### getValue

          public Object getValue(EvaluationContext ctx)
                          throws ELException

      Specified by:
        `getValue` in interface `Node`
      Overrides:
        `getValue` in class `SimpleNode`
      Throws:
        `ELException`

    - #### setLocalName

          public void setLocalName(String localName)

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SimpleNode`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.